Subject: bug#44617: 26.3; diff-mode ignores diff-switches

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 14 Nov 2020 17:25:17 +0100

Francesco Potortì <[email-masked]> writes:

> diff-mode relies on the diff-command variables defined in diff.el, but
> ignores diff-switches
>
> I think this is a bug

Do you mean the `diff-refresh-hunk' command?  I does indeed ignore
`diff-switches', but that's because it tries to keep the style of the
diff consistent:

(defun diff-refresh-hunk (&optional ignore-whitespace)
  "Re-diff the current hunk."
  (interactive)
  (let* ((char-offset (- (point) (diff-beginning-of-hunk t)))
	 (opt-type (pcase (char-after)
                     (?@ "-u")
                     (?* "-c")))

Which I think sounds like the correct design.  What's the use case you
have for diff-switches where you'd want this command to heed diff-switches?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no